io.agora.rtc

## Class RtcStats

- java.lang.Object
- - io.agora.rtc.RtcStats

-     public class RtcStats
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `connectionId`
    `private int` | `connectTimeMs`
    `private double` | `cpuAppUsage`
    `private double` | `cpuTotalUsage`
    `private int` | `duration`
    `private int` | `firstAudioPacketDuration`
    `private int` | `firstAudioPacketDurationAfterUnmute`
    `private int` | `firstVideoKeyFrameDecodedDurationAfterUnmute`
    `private int` | `firstVideoKeyFramePacketDuration`
    `private int` | `firstVideoKeyFramePacketDurationAfterUnmute`
    `private int` | `firstVideoKeyFrameRenderedDurationAfterUnmute`
    `private int` | `firstVideoPacketDuration`
    `private int` | `firstVideoPacketDurationAfterUnmute`
    `private int` | `gatewayRtt`
    `private short` | `lastmileDelay`
    `private int` | `memoryAppUsageInKbytes`
    `private double` | `memoryAppUsageRatio`
    `private double` | `memoryTotalUsageRatio`
    `private int` | `packetsBeforeFirstKeyFramePacket`
    `private int` | `rxAudioBytes`
    `private short` | `rxAudioKBitRate`
    `private int` | `rxBytes`
    `private short` | `rxKBitRate`
    `private int` | `rxPacketLossRate`
    `private int` | `rxVideoBytes`
    `private short` | `rxVideoKBitRate`
    `private int` | `txAudioBytes`
    `private short` | `txAudioKBitRate`
    `private int` | `txBytes`
    `private short` | `txKBitRate`
    `private int` | `txPacketLossRate`
    `private int` | `txVideoBytes`
    `private short` | `txVideoKBitRate`
    `private int` | `userCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RtcStats()`
    `RtcStats(int connectionId, int duration, int txBytes, int rxBytes, int txAudioBytes, int txVideoBytes, int rxAudioBytes, int rxVideoBytes, short txKBitRate, short rxKBitRate, short rxAudioKBitRate, short txAudioKBitRate, short rxVideoKBitRate, short txVideoKBitRate, short lastmileDelay, int userCount, double cpuAppUsage, double cpuTotalUsage, int gatewayRtt, double memoryAppUsageRatio, double memoryTotalUsageRatio, int memoryAppUsageInKbytes, int connectTimeMs, int firstAudioPacketDuration, int firstVideoPacketDuration, int firstVideoKeyFramePacketDuration, int packetsBeforeFirstKeyFramePacket, int firstAudioPacketDurationAfterUnmute, int firstVideoPacketDurationAfterUnmute, int firstVideoKeyFramePacketDurationAfterUnmute, int firstVideoKeyFrameDecodedDurationAfterUnmute, int firstVideoKeyFrameRenderedDurationAfterUnmute, int txPacketLossRate, int rxPacketLossRate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getConnectionId()`
    `int` | `getConnectTimeMs()`
    `double` | `getCpuAppUsage()`
    `double` | `getCpuTotalUsage()`
    `int` | `getDuration()`
    `int` | `getFirstAudioPacketDuration()`
    `int` | `getFirstAudioPacketDurationAfterUnmute()`
    `int` | `getFirstVideoKeyFrameDecodedDurationAfterUnmute()`
    `int` | `getFirstVideoKeyFramePacketDuration()`
    `int` | `getFirstVideoKeyFramePacketDurationAfterUnmute()`
    `int` | `getFirstVideoKeyFrameRenderedDurationAfterUnmute()`
    `int` | `getFirstVideoPacketDuration()`
    `int` | `getFirstVideoPacketDurationAfterUnmute()`
    `int` | `getGatewayRtt()`
    `short` | `getLastmileDelay()`
    `int` | `getMemoryAppUsageInKbytes()`
    `double` | `getMemoryAppUsageRatio()`
    `double` | `getMemoryTotalUsageRatio()`
    `int` | `getPacketsBeforeFirstKeyFramePacket()`
    `int` | `getRxAudioBytes()`
    `short` | `getRxAudioKBitRate()`
    `int` | `getRxBytes()`
    `short` | `getRxKBitRate()`
    `int` | `getRxPacketLossRate()`
    `int` | `getRxVideoBytes()`
    `short` | `getRxVideoKBitRate()`
    `int` | `getTxAudioBytes()`
    `short` | `getTxAudioKBitRate()`
    `int` | `getTxBytes()`
    `short` | `getTxKBitRate()`
    `int` | `getTxPacketLossRate()`
    `int` | `getTxVideoBytes()`
    `short` | `getTxVideoKBitRate()`
    `int` | `getUserCount()`
    `void` | `setConnectionId(int connectionId)`
    `void` | `setConnectTimeMs(int connectTimeMs)`
    `void` | `setCpuAppUsage(double cpuAppUsage)`
    `void` | `setCpuTotalUsage(double cpuTotalUsage)`
    `void` | `setDuration(int duration)`
    `void` | `setFirstAudioPacketDuration(int firstAudioPacketDuration)`
    `void` | `setFirstAudioPacketDurationAfterUnmute(int firstAudioPacketDurationAfterUnmute)`
    `void` | `setFirstVideoKeyFrameDecodedDurationAfterUnmute(int firstVideoKeyFrameDecodedDurationAfterUnmute)`
    `void` | `setFirstVideoKeyFramePacketDuration(int firstVideoKeyFramePacketDuration)`
    `void` | `setFirstVideoKeyFramePacketDurationAfterUnmute(int firstVideoKeyFramePacketDurationAfterUnmute)`
    `void` | `setFirstVideoKeyFrameRenderedDurationAfterUnmute(int firstVideoKeyFrameRenderedDurationAfterUnmute)`
    `void` | `setFirstVideoPacketDuration(int firstVideoPacketDuration)`
    `void` | `setFirstVideoPacketDurationAfterUnmute(int firstVideoPacketDurationAfterUnmute)`
    `void` | `setGatewayRtt(int gatewayRtt)`
    `void` | `setLastmileDelay(short lastmileDelay)`
    `void` | `setMemoryAppUsageInKbytes(int memoryAppUsageInKbytes)`
    `void` | `setMemoryAppUsageRatio(double memoryAppUsageRatio)`
    `void` | `setMemoryTotalUsageRatio(double memoryTotalUsageRatio)`
    `void` | `setPacketsBeforeFirstKeyFramePacket(int packetsBeforeFirstKeyFramePacket)`
    `void` | `setRxAudioBytes(int rxAudioBytes)`
    `void` | `setRxAudioKBitRate(short rxAudioKBitRate)`
    `void` | `setRxBytes(int rxBytes)`
    `void` | `setRxKBitRate(short rxKBitRate)`
    `void` | `setRxPacketLossRate(int rxPacketLossRate)`
    `void` | `setRxVideoBytes(int rxVideoBytes)`
    `void` | `setRxVideoKBitRate(short rxVideoKBitRate)`
    `void` | `setTxAudioBytes(int txAudioBytes)`
    `void` | `setTxAudioKBitRate(short txAudioKBitRate)`
    `void` | `setTxBytes(int txBytes)`
    `void` | `setTxKBitRate(short txKBitRate)`
    `void` | `setTxPacketLossRate(int txPacketLossRate)`
    `void` | `setTxVideoBytes(int txVideoBytes)`
    `void` | `setTxVideoKBitRate(short txVideoKBitRate)`
    `void` | `setUserCount(int userCount)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### connectionId

          private int connectionId

    - #### duration

          private int duration

    - #### txBytes

          private int txBytes

    - #### rxBytes

          private int rxBytes

    - #### txAudioBytes

          private int txAudioBytes

    - #### txVideoBytes

          private int txVideoBytes

    - #### rxAudioBytes

          private int rxAudioBytes

    - #### rxVideoBytes

          private int rxVideoBytes

    - #### txKBitRate

          private short txKBitRate

    - #### rxKBitRate

          private short rxKBitRate

    - #### rxAudioKBitRate

          private short rxAudioKBitRate

    - #### txAudioKBitRate

          private short txAudioKBitRate

    - #### rxVideoKBitRate

          private short rxVideoKBitRate

    - #### txVideoKBitRate

          private short txVideoKBitRate

    - #### lastmileDelay

          private short lastmileDelay

    - #### userCount

          private int userCount

    - #### cpuAppUsage

          private double cpuAppUsage

    - #### cpuTotalUsage

          private double cpuTotalUsage

    - #### gatewayRtt

          private int gatewayRtt

    - #### memoryAppUsageRatio

          private double memoryAppUsageRatio

    - #### memoryTotalUsageRatio

          private double memoryTotalUsageRatio

    - #### memoryAppUsageInKbytes

          private int memoryAppUsageInKbytes

    - #### connectTimeMs

          private int connectTimeMs

    - #### firstAudioPacketDuration

          private int firstAudioPacketDuration

    - #### firstVideoPacketDuration

          private int firstVideoPacketDuration

    - #### firstVideoKeyFramePacketDuration

          private int firstVideoKeyFramePacketDuration

    - #### packetsBeforeFirstKeyFramePacket

          private int packetsBeforeFirstKeyFramePacket

    - #### firstAudioPacketDurationAfterUnmute

          private int firstAudioPacketDurationAfterUnmute

    - #### firstVideoPacketDurationAfterUnmute

          private int firstVideoPacketDurationAfterUnmute

    - #### firstVideoKeyFramePacketDurationAfterUnmute

          private int firstVideoKeyFramePacketDurationAfterUnmute

    - #### firstVideoKeyFrameDecodedDurationAfterUnmute

          private int firstVideoKeyFrameDecodedDurationAfterUnmute

    - #### firstVideoKeyFrameRenderedDurationAfterUnmute

          private int firstVideoKeyFrameRenderedDurationAfterUnmute

    - #### txPacketLossRate

          private int txPacketLossRate

    - #### rxPacketLossRate

          private int rxPacketLossRate

  - ### Constructor Detail

    - #### RtcStats

          public RtcStats()

    - #### RtcStats

          public RtcStats(int connectionId,
                          int duration,
                          int txBytes,
                          int rxBytes,
                          int txAudioBytes,
                          int txVideoBytes,
                          int rxAudioBytes,
                          int rxVideoBytes,
                          short txKBitRate,
                          short rxKBitRate,
                          short rxAudioKBitRate,
                          short txAudioKBitRate,
                          short rxVideoKBitRate,
                          short txVideoKBitRate,
                          short lastmileDelay,
                          int userCount,
                          double cpuAppUsage,
                          double cpuTotalUsage,
                          int gatewayRtt,
                          double memoryAppUsageRatio,
                          double memoryTotalUsageRatio,
                          int memoryAppUsageInKbytes,
                          int connectTimeMs,
                          int firstAudioPacketDuration,
                          int firstVideoPacketDuration,
                          int firstVideoKeyFramePacketDuration,
                          int packetsBeforeFirstKeyFramePacket,
                          int firstAudioPacketDurationAfterUnmute,
                          int firstVideoPacketDurationAfterUnmute,
                          int firstVideoKeyFramePacketDurationAfterUnmute,
                          int firstVideoKeyFrameDecodedDurationAfterUnmute,
                          int firstVideoKeyFrameRenderedDurationAfterUnmute,
                          int txPacketLossRate,
                          int rxPacketLossRate)

  - ### Method Detail

    - #### getConnectionId

          public int getConnectionId()

    - #### setConnectionId

          public void setConnectionId(int connectionId)

    - #### getDuration

          public int getDuration()

    - #### setDuration

          public void setDuration(int duration)

    - #### getTxBytes

          public int getTxBytes()

    - #### setTxBytes

          public void setTxBytes(int txBytes)

    - #### getRxBytes

          public int getRxBytes()

    - #### setRxBytes

          public void setRxBytes(int rxBytes)

    - #### getTxAudioBytes

          public int getTxAudioBytes()

    - #### setTxAudioBytes

          public void setTxAudioBytes(int txAudioBytes)

    - #### getTxVideoBytes

          public int getTxVideoBytes()

    - #### setTxVideoBytes

          public void setTxVideoBytes(int txVideoBytes)

    - #### getRxAudioBytes

          public int getRxAudioBytes()

    - #### setRxAudioBytes

          public void setRxAudioBytes(int rxAudioBytes)

    - #### getRxVideoBytes

          public int getRxVideoBytes()

    - #### setRxVideoBytes

          public void setRxVideoBytes(int rxVideoBytes)

    - #### getTxKBitRate

          public short getTxKBitRate()

    - #### setTxKBitRate

          public void setTxKBitRate(short txKBitRate)

    - #### getRxKBitRate

          public short getRxKBitRate()

    - #### setRxKBitRate

          public void setRxKBitRate(short rxKBitRate)

    - #### getRxAudioKBitRate

          public short getRxAudioKBitRate()

    - #### setRxAudioKBitRate

          public void setRxAudioKBitRate(short rxAudioKBitRate)

    - #### getTxAudioKBitRate

          public short getTxAudioKBitRate()

    - #### setTxAudioKBitRate

          public void setTxAudioKBitRate(short txAudioKBitRate)

    - #### getRxVideoKBitRate

          public short getRxVideoKBitRate()

    - #### setRxVideoKBitRate

          public void setRxVideoKBitRate(short rxVideoKBitRate)

    - #### getTxVideoKBitRate

          public short getTxVideoKBitRate()

    - #### setTxVideoKBitRate

          public void setTxVideoKBitRate(short txVideoKBitRate)

    - #### getLastmileDelay

          public short getLastmileDelay()

    - #### setLastmileDelay

          public void setLastmileDelay(short lastmileDelay)

    - #### getUserCount

          public int getUserCount()

    - #### setUserCount

          public void setUserCount(int userCount)

    - #### getCpuAppUsage

          public double getCpuAppUsage()

    - #### setCpuAppUsage

          public void setCpuAppUsage(double cpuAppUsage)

    - #### getCpuTotalUsage

          public double getCpuTotalUsage()

    - #### setCpuTotalUsage

          public void setCpuTotalUsage(double cpuTotalUsage)

    - #### getGatewayRtt

          public int getGatewayRtt()

    - #### setGatewayRtt

          public void setGatewayRtt(int gatewayRtt)

    - #### getMemoryAppUsageRatio

          public double getMemoryAppUsageRatio()

    - #### setMemoryAppUsageRatio

          public void setMemoryAppUsageRatio(double memoryAppUsageRatio)

    - #### getMemoryTotalUsageRatio

          public double getMemoryTotalUsageRatio()

    - #### setMemoryTotalUsageRatio

          public void setMemoryTotalUsageRatio(double memoryTotalUsageRatio)

    - #### getMemoryAppUsageInKbytes

          public int getMemoryAppUsageInKbytes()

    - #### setMemoryAppUsageInKbytes

          public void setMemoryAppUsageInKbytes(int memoryAppUsageInKbytes)

    - #### getConnectTimeMs

          public int getConnectTimeMs()

    - #### setConnectTimeMs

          public void setConnectTimeMs(int connectTimeMs)

    - #### getFirstAudioPacketDuration

          public int getFirstAudioPacketDuration()

    - #### setFirstAudioPacketDuration

          public void setFirstAudioPacketDuration(int firstAudioPacketDuration)

    - #### getFirstVideoPacketDuration

          public int getFirstVideoPacketDuration()

    - #### setFirstVideoPacketDuration

          public void setFirstVideoPacketDuration(int firstVideoPacketDuration)

    - #### getFirstVideoKeyFramePacketDuration

          public int getFirstVideoKeyFramePacketDuration()

    - #### setFirstVideoKeyFramePacketDuration

          public void setFirstVideoKeyFramePacketDuration(int firstVideoKeyFramePacketDuration)

    - #### getPacketsBeforeFirstKeyFramePacket

          public int getPacketsBeforeFirstKeyFramePacket()

    - #### setPacketsBeforeFirstKeyFramePacket

          public void setPacketsBeforeFirstKeyFramePacket(int packetsBeforeFirstKeyFramePacket)

    - #### getFirstAudioPacketDurationAfterUnmute

          public int getFirstAudioPacketDurationAfterUnmute()

    - #### setFirstAudioPacketDurationAfterUnmute

          public void setFirstAudioPacketDurationAfterUnmute(int firstAudioPacketDurationAfterUnmute)

    - #### getFirstVideoPacketDurationAfterUnmute

          public int getFirstVideoPacketDurationAfterUnmute()

    - #### setFirstVideoPacketDurationAfterUnmute

          public void setFirstVideoPacketDurationAfterUnmute(int firstVideoPacketDurationAfterUnmute)

    - #### getFirstVideoKeyFramePacketDurationAfterUnmute

          public int getFirstVideoKeyFramePacketDurationAfterUnmute()

    - #### setFirstVideoKeyFramePacketDurationAfterUnmute

          public void setFirstVideoKeyFramePacketDurationAfterUnmute(int firstVideoKeyFramePacketDurationAfterUnmute)

    - #### getFirstVideoKeyFrameDecodedDurationAfterUnmute

          public int getFirstVideoKeyFrameDecodedDurationAfterUnmute()

    - #### setFirstVideoKeyFrameDecodedDurationAfterUnmute

          public void setFirstVideoKeyFrameDecodedDurationAfterUnmute(int firstVideoKeyFrameDecodedDurationAfterUnmute)

    - #### getFirstVideoKeyFrameRenderedDurationAfterUnmute

          public int getFirstVideoKeyFrameRenderedDurationAfterUnmute()

    - #### setFirstVideoKeyFrameRenderedDurationAfterUnmute

          public void setFirstVideoKeyFrameRenderedDurationAfterUnmute(int firstVideoKeyFrameRenderedDurationAfterUnmute)

    - #### getTxPacketLossRate

          public int getTxPacketLossRate()

    - #### setTxPacketLossRate

          public void setTxPacketLossRate(int txPacketLossRate)

    - #### getRxPacketLossRate

          public int getRxPacketLossRate()

    - #### setRxPacketLossRate

          public void setRxPacketLossRate(int rxPacketLossRate)